## neutron 12.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
httplib2>=0.9.1 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=1.13.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
ryu>=4.14 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
WebOb>=1.7.1 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=0.8.0 # Apache-2.0
psutil>=3.2.2 # BSD
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
weakrefmethod>=1.0.2;python_version=='2.7' # PSF

python-novaclient>=9.1.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
os-xenapi>=0.3.1 # Apache-2.0

=== debian/changelog ===
neutron (2:12.0.1-0ubuntu1) bionic; urgency=medium

  * d/p/dvr-inter-tenant-traffic.patch: Cherry-picked from upstream
    stable/queens branch (LP: #1751396).
  * New stable point release for OpenStack Queens (LP: #1765138).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Apr 2018 12:07:48 -0400

neutron (2:12.0.0-0ubuntu3) bionic; urgency=medium

  * d/p/refresh-router-objects-after-port-binding.patch: Cherry-picked
    from upstream stable/queens branch (LP: #1759971).
  * d/p/use-cidr-during-tenant-network-rule-deletion.patch: Cherry-picked
    from upstream stable/queens branch (LP: #1759956).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Apr 2018 16:06:25 -0400

neutron (2:12.0.0-0ubuntu2) bionic; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Ensure neutron-ovs-cleanup runs after openvswitch-switch and
    neutron-openvswitch-agent runs after neutron-ovs-cleanup (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Wed, 28 Mar 2018 04:44:38 -0700

neutron (2:12.0.0-0ubuntu1.4) bionic; urgency=medium

  * Ensure python-pecan is >= 1.2.1 (LP: #1758882).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Mar 2018 08:19:15 -0400

neutron (2:12.0.0-0ubuntu1.3) bionic; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Revert changes made for LP:#1752838 due to regression (LP: #1758411).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 23 Mar 2018 14:41:23 -0400

neutron (2:12.0.0-0ubuntu1.2) bionic; urgency=medium

  * d/neutron-openvswitch-agent.service.in: Ensure
    neutron-openvswitch-agent starts after neutron-ovs-cleanup.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Mar 2018 09:32:19 -0400

neutron (2:12.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Adding dependency on openvswitch-switch.service because
    neutron-ovs-cleanup will fail if it is run earlier than it
    (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 01 Mar 2018 17:19:08 -0800

neutron (2:12.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:07:52 +0000

neutron (2:12.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:48:08 -0500

neutron (2:12.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:54:27 +0000

neutron (2:12.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 12:45:29 -0500

neutron (2:12.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 12.x series.
  * d/p/call-update_all_ha_network_port_statuses-on-agent-start.patch:
    Dropped, included upstream.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/rules,neutron.conf.defaults: Switch to using crudini merge.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 12:47:32 +0000

neutron (2:12.0.0~b1-0ubuntu2) bionic; urgency=medium

  * d/p/call-update_all_ha_network_port_statuses-on-agent-start.patch:
    Cherry-pick from upstream to prevent multiple masters for L3HA
    (LP: #1731595).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Nov 2017 15:05:33 -0500

neutron (2:12.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/flake8-legacy.patch: Update patch to avoid import of flake8
    legacy module as this causes test listing to fail.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 16:34:23 +0000

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
Build-Depends-Indep:
 crudini,
 python-alembic (>= 0.8.10),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-debtcollector (>= 1.2.0),
 python-designateclient (>= 2.7.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-jinja2 (>= 2.8),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-netifaces (>= 0.10.4),
 python-neutron-lib (>= 1.13.0),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-openvswitch (>= 2.8.0),
 python-os-testr (>= 1.0.0),
 python-os-xenapi (>= 0.3.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-ovsdbapp (>= 0.8.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.2.1),
 python-pep8,
 python-psutil (>= 3.2.2),
 python-pymysql (>= 0.7.6),
 python-pyroute2 (>= 0.4.21),
 python-requests (>= 2.10.0),
 python-routes (>= 2.3.1),
 python-ryu (>= 4.14),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:16.1.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-weakrefmethod,
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
 python3-sphinx (>= 1.6.2),
 rename,
XS-Python-Version: >= 2.7
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
XS-Testsuite: autopkgtest

Package: neutron-common
Architecture: all
Depends:
 adduser,
 ipset,
 python-neutron (= ${source:Version}),
 python-neutron-fwaas (>= 1:9.0.0~b3),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Replaces:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 2.0.0),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 conntrack,
 iputils-arping,
 keepalived,
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 radvd,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-linuxbridge-agent
Architecture: all
Depends:
 bridge-utils,
 conntrack,
 ebtables,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-linuxbirdge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Replaces:
 neutron-plugin-linuxbridge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Description: Neutron is a virtual network service for Openstack - linuxbridge agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the linuxbridge plugin agent.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Macvtap L2 Agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Macvtap L2 Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 haproxy,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Replaces:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Description: Neutron is a virtual network service for Openstack - metering agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Depends:
 conntrack,
 neutron-common (= ${source:Version}),
 openvswitch-switch,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Open vSwitch plugin agent.

Package: neutron-plugin-linuxbridge-agent
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 neutron-linuxbridge-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Transitional package for neutron-linuxbridge-agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package is a transitional package and can be safely removed.

Package: neutron-plugin-ml2
Architecture: all
Provides:
 neutron-plugin,
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-plugin-openvswitch-agent
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 neutron-openvswitch-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Transitional package for neutron-openvswitch-agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron neutron-(12\.\d.*)\.tar\.gz

## neutron 12.0.2

=== debian/changelog ===
neutron (2:12.0.2-9) unstable; urgency=medium

  * Removed not needed runtime depends on uwsgi-plugin-gevent-python3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jun 2018 11:57:28 +0200

neutron (2:12.0.2-8) unstable; urgency=medium

  * Fixed startup args for -api and -l3-agent.
  * Disable more config tweakings.
  * Update to latest version of upstream patch:
    "Allow neutron-api load config from WSGI process". This implies a new
    (build-)dependency on python3-gevent.
  * Add Connection: close header in uwsgi config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jun 2018 13:02:14 +0200

neutron (2:12.0.2-7) unstable; urgency=medium

  * Add missin sudoers entry:
    - neutron ALL = (root) NOPASSWD: /usr/bin/neutron-rootwrap-daemon \
      /etc/neutron/rootwrap.conf

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jun 2018 20:57:29 +0200

neutron (2:12.0.2-6) unstable; urgency=medium

  * Remove parts of Allow_neutron-api_load_config_from_WSGI_process.patch, only
    keep what's needed for the rpc-server,  and use correct --pyargv params for
    neutron-api with openstack-pkg-tools >= 81~.
  * Fixed default tweakings of config file so it works with tempest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Jun 2018 22:38:28 +0200

neutron (2:12.0.2-5) unstable; urgency=medium

  * Add neutron-rpc-server init script, needed if switching to uwsgi.
  * Add Allow_neutron-api_load_config_from_WSGI_process.patch.
  * Create new neutron-api and neutron-rpc-server packages, the neutron-server
    package becomes a transition package.
  * Using openstack-pkg-tools >= 80~ to handle uwsgi and ipv6.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 May 2018 18:15:12 +0200

neutron (2:12.0.2-4) unstable; urgency=medium

  [ Thomas Goirand ]
  * Switch to uwsgi so we can support SSL.

  [ Michal Arbet ]
  * Fix d/neutron-server.init.in

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 May 2018 18:42:16 +0200

neutron (2:12.0.2-3) unstable; urgency=medium

  * Add Type=notify in the neutron-server .service file:
    - Also set min version of openstack-pkg-tools to 78~ to support that new
    feature.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 May 2018 14:33:13 +0200

neutron (2:12.0.2-2) unstable; urgency=medium

  * Add rootwrap fix for neutron-fwaas.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 May 2018 09:54:01 +0200

neutron (2:12.0.2-1) unstable; urgency=medium

  [ Michal Arbet & Thomas Goirand]
  * New upstream version 

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 May 2018 14:45:59 +0000

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Gustavo Panizzo <gfa@zumbi.com.ar>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 81~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bridge-utils,
 python3-cliff (>= 1.15.0),
 python3-coverage,
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.4),
 python3-fixtures (>= 3.0.0),
 python3-flake8,
 python3-gevent (>= 1.2.2),
 python3-gflags,
 python3-hacking (>= 0.11.0),
 python3-httplib2,
 python3-jinja2 (>= 2.8),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock,
 python3-netaddr,
 python3-netifaces (>= 0.10.4),
 python3-neutron-lib (>= 1.13.0),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.16.0),
 python3-openvswitch (>= 2.8.0),
 python3-os-testr (>= 1.0.0),
 python3-os-xenapi (>= 0.3.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.19.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects,
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-ovsdbapp (>= 0.8.0),
 python3-paste,
 python3-pastedeploy,
 python3-pecan (>= 1.0.0),
 python3-pep8,
 python3-psutil,
 python3-pymysql,
 python3-pyroute2 (>= 0.4.21),
 python3-pyudev,
 python3-routes,
 python3-ryu (>= 4.14),
 python3-six,
 python3-sqlalchemy (>= 1.0.12),
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-tempest (>= 1:17.0.0),
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 tempest (>= 1:12.1.0),
Standards-Version: 4.1.3
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron.git

Package: neutron-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-mysqldb,
 python3-neutron (= ${source:Version}),
 python3-pyparsing (>=1.5.7),
 python3-sqlalchemy (>= 1.0.12),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 neutron-plugin,
 neutron-plugin-bigswitch,
 neutron-plugin-brocade,
 neutron-plugin-cisco,
 neutron-plugin-hyperv,
 neutron-plugin-linuxbridge,
 neutron-plugin-metaplugin,
 neutron-plugin-ml2,
 neutron-plugin-nec,
 neutron-plugin-nicira,
 neutron-plugin-openvswitch,
 neutron-plugin-plumgrid,
 neutron-plugin-ryu,
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 adduser,
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 adduser,
 debconf,
 iputils-arping,
 keepalived,
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 radvd,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-switch,
Conflicts:
 neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-linuxbridge-agent
Architecture: all
Provides:
 neutron-plugin-linuxbridge-agent,
Depends:
 bridge-utils,
 ebtables,
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Linux bridge agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Linux bridge agent. If you choose to use the Linux
 bridge plugin on neutron-server, this agent should run on each compute node.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - MacVTap Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the MacVTap Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 adduser,
 haproxy,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Provides:
 neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends:
 openvswitch-switch (>= 2.8.0),
Provides:
 neutron-plugin-openvswitch-agent,
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-datapath-dkms,
Description: OpenStack virtual network service - Open vSwitch agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Open vSwitch agent. If you choose to use the Open
 vSwitch plugin on neutron-server, this agent should run on each compute node.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-server
Architecture: all
Depends:
 neutron-api (= ${source:Version}),
 neutron-rpc-server (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - metapackage for the server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 As the Debian packages switched to Python 3, it isn't possible to run using
 Eventlet (ie: the standalone neutron-server daemon) if we use SSL, because of
 defects in python3-eventlet. So the Debian package maitainer decided to switch
 to uwsgi instead. In this mode, one needs to also run neutron-rpc-server to
 listen for requests on the message bus (ie: rabbitmq in most cases). For this
 reason, the neutron-server package has been split into neutron-api and
 neutron-rpc-server.
 .
 Transition package for neutron-server.

Package: neutron-api
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Breaks: neutron-server (<< 2:12.0.2-5~)
Replaces: neutron-server (<< 2:12.0.2-5~)
Description: OpenStack virtual network service - API service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron API server.

Package: neutron-rpc-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Breaks: neutron-server (<< 2:12.0.2-5~)
Replaces: neutron-server (<< 2:12.0.2-5~)
Description: OpenStack virtual network service - RPC service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron RPC server.

Package: neutron-sriov-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - SR-IOV agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_auto_clean:
	python3 setup.py clean
	find . -type f -name "*.pyc" | xargs rm -fr
	rm -rf build neutron.egg-info
	rm -f debian/neutron-common.config \
		debian/neutron-common.postinst \
		debian/neutron-api.config \
		debian/neutron-api.postinst \
		debian/neutron-dhcp-agent.postinst \
		debian/neutron-metadata-agent.config \
		debian/neutron-metadata-agent.postinst \
		debian/neutron-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart debian/neutron-common.templates

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm neutron-common.postrm
	pkgos-merge-templates neutron-api neutron endpoint
	pkgos-merge-templates neutron-common neutron db rabbit ksat

override_dh_auto_test:
	echo "Doing nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'neutron\.tests\.unit(?!.*test_wsgi\.TestWSGIServer\.test_start_random_port_with_ipv6.*|.*agent\.dhcp\.test_agent\.TestDhcpAgent\.test_dhcp_agent_manager.*)'
endif

	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log

#	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = openvswitch|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
#	sed -i 's|^[ #\t]*ovs_integration_bridge[ \t]*=.*|ovs_integration_bridge = br-int|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
#	sed -i 's|^[ #\t]*enable_isolated_metadata[ \t]*=.*|enable_isolated_metadata = False|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-l3-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log
#	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = openvswitch|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
#	sed -i 's|^[ #\t]*handle_internal_only_routers[ \t]*=.*|handle_internal_only_routers = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
#	sed -i 's|^[ #\t]*external_network_bridge[ \t]*=.*|external_network_bridge = br-ex|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
#	sed -i 's|^[ #\t]*enable_metadata_proxy[ \t]*=.*|enable_metadata_proxy = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
#	sed -i 's|^[ #\t]*agent_mode[ \t]*=.*|agent_mode = legacy|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# macvtap_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2/macvtap_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.macvtap.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log \
		--namespace oslo.cache
#	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
#	sed -i 's|^[ #\t]*nova_metadata_ip[ \t]*=.*|nova_metadata_ip = 127.0.0.1|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# metering_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metering-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-metering-agent/etc/neutron/metering_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.metering.agent \
		--namespace oslo.log

	# ml2_conf.ini
	mkdir -p $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini \
		--wrap-width 140 \
		--namespace neutron.ml2 \
		--namespace oslo.log
#	sed -i 's|^[ #\t]*type_drivers[ \t]*=.*|type_drivers = flat,gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*tenant_network_types[ \t]*=.*|tenant_network_types = gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*mechanism_drivers[ \t]*=.*|mechanism_drivers = openvswitch,l2population|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*flat_networks[ \t]*=.*|flat_networks = external|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*tunnel_id_ranges[ \t]*=.*|tunnel_id_ranges = 1:1000|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*enable_security_group[ \t]*=.*|enable_security_group = True|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	sed -i 's|^[ #\t]*enable_ipset[ \t]*=.*|enable_ipset = True |' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
#	pkgos-fix-config-default $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini ml2 extension_drivers port_security,qos
	
	# neutron.conf
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf \
		--wrap-width 140 \
		--namespace neutron \
		--namespace neutron.agent \
		--namespace neutron.db \
		--namespace neutron.extensions \
		--namespace nova.auth \
		--namespace oslo.log \
		--namespace oslo.db \

## neutron 12.1.0

=== debian/changelog ===
neutron (2:12.1.0-0ubuntu1) bionic; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Queens (LP: #1838288).
  * d/p/bug1826419.patch: Dropped. Fixed in 12.1.0.
  * d/p/revert-iptables-tcp-checksum-fill-code.patch: Dropped.
    Fixed in 12.1.0.

  [ Corey Bryant ]
  * d/p/metadata-use-requests-for-comms-with-nova-api.patch: Dropped.
    Fixed in 12.1.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jul 2019 11:49:51 -0400

neutron (2:12.0.6-0ubuntu3) bionic; urgency=medium

  * d/p/metadata-use-requests-for-comms-with-nova-api.patch: Restore patch
    from https://review.openstack.org/#/c/599541/ to enable cert management
    where IP addresses are used in subject alternate names (LP: #1838263).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jul 2019 10:18:05 -0400

neutron (2:12.0.6-0ubuntu2) bionic; urgency=medium

  * d/p/revert-iptables-tcp-checksum-fill-code.patch: Cherry-picked
    from upstream to revert invalid use of iptables -j CHECKSUM
    (LP: #1722584).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Jun 2019 13:30:49 -0400

neutron (2:12.0.6-0ubuntu1) bionic; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Queens (LP: #1830341).
  * d/p/set-initial-ha-router-state-in-neutron-keepalived-st.patch,
    d/p/fix-KeyError-in-OVS-firewall.patch,
    d/p/metadata-use-requests-for-comms-with-nova-api.patch,
    d/p/Spawn-metadata-proxy-on-dvr-ha-standby-routers.patch,
    d/p/bug1823038.patch: Dropped. Fixed in upstream release.

  [ James Page ]
  * d/p/bug1826419.patch: Cherry pick fix to revert incorrect changes to
    internal DNS behaviour (LP: #1826419).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 24 May 2019 11:10:37 +0200

neutron (2:12.0.5-0ubuntu5) bionic; urgency=medium

  * Backport fix for dvr+l3ha metadata service not available
    - d/p/Spawn-metadata-proxy-on-dvr-ha-standby-routers.patch (LP: #1606741)

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 May 2019 14:55:41 -0400

neutron (2:12.0.5-0ubuntu4) bionic; urgency=medium

  * d/p/bug1823038.patch: Cherry pick fix to ensure that None is not
    passed as an argument when spawning the neutron-keepalived-state-change
    agent (LP: #1823038).

 -- James Page <james.page@ubuntu.com>  Tue, 09 Apr 2019 10:59:22 +0100

neutron (2:12.0.5-0ubuntu3) bionic; urgency=medium

  * d/p/fix-KeyError-in-OVS-firewall.patch: Cherry-picked from upstream
    to prevent neutron ovs agent from crashing due to creation of two
    security groups that both use the same remote security group, where
    the first group's port range is a subset of the second (LP: #1813007).
  * d/p/set-initial-ha-router-state-in-neutron-keepalived-st.patch:
    Cherry-picked from upstream stable/rocky branch to ensure proper
    detection of MASTER HA router by neutron-keepalived-state-change
    (LP: #1818614).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 16:06:30 -0400

neutron (2:12.0.5-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1795424).
  * d/p/metadata-use-requests-for-comms-with-nova-api.patch: Cherry-picked
    from https://review.openstack.org/#/c/599541/ to enable cert management
    where IP addresses are used in subject alternate names (LP: #1790598).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Nov 2018 11:43:51 -0500

neutron (2:12.0.3-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1778747).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 11:55:23 -0400

neutron (2:12.0.2-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1771572).
  * d/p/refresh-router-objects-after-port-binding.patch,
    d/p/use-cidr-during-tenant-network-rule-deletion.patch,
    d/p/remove-race-and-simplify-conntrack-state-management.patch,
    d/p/dvr-inter-tenant-traffic.patch: Dropped. Fixed in stable release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 May 2018 16:31:00 -0400

neutron (2:12.0.1-0ubuntu1.1) bionic; urgency=medium

  * d/p/remove-race-and-simplify-conntrack-state-management.patch:
    Cherry-picked from upstream stable/queens branch to prevent
    ovs-agent from eating up CPU (LP: #1750777).
  * d/gbp.conf: Create stable/queens branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:00:58 -0400
